de.caff.generics.function

## Interface LongOperator2

- All Superinterfaces:
    java.util.function.LongBinaryOperator
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface LongOperator2
      extends java.util.function.LongBinaryOperator

  Binary operator with two long arguments and a long result.
  Since:
    October 31, 2019
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LongOperator2` | `DIV` DIVISION (`/`) operator.
    `static LongOperator2` | `MINUS` MINUS (`-`) operator.
    `static LongOperator2` | `MOD` MODULO (`%`) operator.
    `static LongOperator2` | `MULT` MULTIPLICATION (`*`) operator.
    `static LongOperator2` | `PLUS` PLUS (`+`) operator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default LongOperator2` | `andThen(LongOperator1 after)` Create a function which applies this function and feeds the result into the next function.
    `static LongOperator2` | `from(java.util.function.LongBinaryOperator operator)` Make a standard unary long operator usable as `LongOperator2`.
    `default LongOperator1` | `partialLeft(long argument)` Get a partially applied function.
    `default LongOperator1` | `partialRight(long argument)` Get a partially applied function.

    - ### Methods inherited from interface java.util.function.LongBinaryOperator

      `applyAsLong`

- - ### Field Detail

    - #### PLUS

          static final LongOperator2 PLUS

      PLUS (`+`) operator.

    - #### MINUS

          static final LongOperator2 MINUS

      MINUS (`-`) operator.

    - #### MULT

          static final LongOperator2 MULT

      MULTIPLICATION (`*`) operator.

    - #### DIV

          static final LongOperator2 DIV

      DIVISION (`/`) operator.

    - #### MOD

          static final LongOperator2 MOD

      MODULO (`%`) operator.

  - ### Method Detail

    - #### partialLeft

          @NotNull
          default LongOperator1 partialLeft(long argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for first argument
      Returns:
        partially evaluated function

    - #### partialRight

          @NotNull
          default LongOperator1 partialRight(long argument)

      Get a partially applied function.
      Parameters:
        `argument` - value applied for second argument
      Returns:
        partially evaluated function

    - #### andThen

          @NotNull
          default LongOperator2 andThen(@NotNull
                                                 LongOperator1 after)

      Create a function which applies this function and feeds the result into the next function.
      Parameters:
        `after` - function called with the result of this function
      Returns:
        chained function

    - #### from

          @NotNull
          static LongOperator2 from(@NotNull
                                             java.util.function.LongBinaryOperator operator)

      Make a standard unary long operator usable as `LongOperator2`. This is useful if you want to make use of the extended functionality of this implementation.
      Parameters:
        `operator` - operator to be used as a `LongOperator2`
      Returns:
        `LongOperator2` view of the incoming operator, or possibly just a cast if `operator` already has the correct type